gnutls_mac_get_key_size(3)

NAME
gnutls_mac_get_key_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_mac_get_key_size(gnutls_mac_algorithm_t algorithm);

ARGUMENTS

gnutls_mac_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Returns the size of the MAC key used in TLS.

RETURNS
length (in bytes) of the given MAC key size, or 0 if the given MAC algorithm is invalid.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/